/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.esb.services.tos;

/**
 *
 *
 */

public class OperationData {

    private int operationRequestCount;

    private int operationResponseCount;

    private int operationFaultCount;

    private long maxOperationResponseTime;

    private long minOperationResponseTime;

    private double avgOperationResponseTime;

    private String serviceName;

    private String operationName;


    public int getOperationRequestCount() {
        return operationRequestCount;
    }

    public void setOperationRequestCount(int operationRequestCount) {
        this.operationRequestCount = operationRequestCount;
    }

    public int getOperationResponseCount() {
        return operationResponseCount;
    }

    public void setOperationResponseCount(int operationResponseCount) {
        this.operationResponseCount = operationResponseCount;
    }

    public int getOperationFaultCount() {
        return operationFaultCount;
    }

    public void setOperationFaultCount(int operationFaultCount) {
        this.operationFaultCount = operationFaultCount;
    }

    public long getMaxOperationResponseTime() {
        return maxOperationResponseTime;
    }

    public void setMaxOperationResponseTime(long maxOperationResponseTime) {
        this.maxOperationResponseTime = maxOperationResponseTime;
    }

    public long getMinOperationResponseTime() {
        return minOperationResponseTime;
    }

    public void setMinOperationResponseTime(long minOperationResponseTime) {
        this.minOperationResponseTime = minOperationResponseTime;
    }

    public double getAvgOperationResponseTime() {
        return avgOperationResponseTime;
    }

    public void setAvgOperationResponseTime(double avgOperationResponseTime) {
        this.avgOperationResponseTime = avgOperationResponseTime;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }
}
